<contact-attachment-edit>
  <fieldset>
    <div>
      <div>
        <details>
          <summary>
            <legend>Documents <small if={ this.contact.attachments }>({ this.contact.attachments.length })</small></legend>
            Expand
          </summary>

          <div each={ attachment in this.contact.attachments } class="attachment row">
            <attachment-link contact-id={ this.contact.pk } attachment={ attachment } deletable={ true } />
          </div>

          <div>
            <label for=comment>Add a document</label>
            <input type=file name=attachment placeholder="Attach a document" onchange={ this.prepare }>
          </div>
        </details>
      </div>
    </div>
  </fieldset>

  <script>
    this.contact = {}
    this.attachment = null

    this.on('*', () => {
      this.contact = this.opts.contact
    })

    this.prepare = (event) => {
      this.attachment = event.target.files[0]
    }

    this.save = async (contact) => {
      if(!contact) contact = this.contact
      if (!this.attachment) return
      const fdata = new FormData()
      fdata.append('data', this.attachment)
      const resp = await api(`/contact/${contact.pk}/attachments`, { body: fdata })
    }
  </script>
</contact-attachment-edit>
